Name: proj
Version: 4.8.0
Release: 1
Summary: Cartographic projection software
Source0: ftp://ftp.remotesensing.org/pub/proj/%{name}-%{version}.tar.gz
Source1: ftp://ftp.remotesensing.org/pub/proj/proj-datumgrid-1.5.zip
License: MIT
URL: http://trac.osgeo.org/proj/
Group: Sciences/Geosciences
Provides: proj4

%description
Cartographic projection software and libraries.

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/proj

#-------------------------------------------------------------------------

%define major 0
%define libname %mklibname %{name} %{major}

%package -n %{libname}
Summary: Cartographic projection software - Libraries
Group: System/Libraries
License: MIT

%description -n %{libname}
Cartographic projection software and libraries.

%files -n %{libname}
%{_libdir}/*.so.%{major}*

#-------------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %{develname}
Summary: Cartographic projection software - Development files
Group: Development/Other
Provides: %{name}-devel = %{version}
Provides: proj4-devel = %{version}
Provides: libproj4-devel = %{version}
Requires: %{libname} = %{version}
Obsoletes: %{mklibname -d proj 0}

%description -n %{develname}
Cartographic projection development files.

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#-------------------------------------------------------------------------

%define sdevelname %mklibname -d -s %name

%package -n %sdevelname
Summary: Cartographic projection software - Development files
Group: Development/Other
Provides: %name-static-devel = %{version}
Provides: proj4-static-devel = %{version}
Provides: libproj4-static-devel = %{version}
Requires: %{develname} = %{version}
Requires: %{libname} = %version-%release
Obsoletes: %{mklibname -d -s proj 0}

%description -n %{sdevelname}
Cartographic projection development files (static).

%files -n %{sdevelname}
%{_libdir}/*.a

#-------------------------------------------------------------------------

%prep
%setup -D -q
pushd nad
unzip -qqo %{SOURCE1}
popd

%build
%configure2_5x
%make

%install
%makeinstall_std



%changelog
* Fri Apr 27 2012 Alexander Khrukin <akhrukin@mandriva.org> 4.8.0-1
+ Revision: 793984
- version update 4.8.0

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 4.7.0-2mdv2011.0
+ Revision: 614613
- the mass rebuild of 2010.1 packages

* Sun Jan 24 2010 Emmanuel Andry <eandry@mandriva.org> 4.7.0-1mdv2010.1
+ Revision: 495466
- New version 4.7.0

* Sat Oct 03 2009 Funda Wang <fwang@mandriva.org> 4.6.1-3mdv2010.0
+ Revision: 453175
- Update proj-datumgrid

* Wed Jul 29 2009 Helio Chissini de Castro <helio@mandriva.com> 4.6.1-2mdv2010.0
+ Revision: 403840
- Added some provides in proj package

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 4.6.1-1mdv2009.1
+ Revision: 332734
- New version 4.6.1

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 4.6.0-2mdv2009.0
+ Revision: 233005
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sun Dec 30 2007 Emmanuel Andry <eandry@mandriva.org> 4.6.0-1mdv2008.1
+ Revision: 139563
- New version
- add major version check

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Helio Chissini de Castro <helio@mandriva.com> 4.5.0-1mdv2008.0
+ Revision: 25643
- New upstream version 4.5.0
- Removed nad27, as already integrated on datum ( as mentioned in proj main page )

